<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");
include("../languages/".$shortlang."/scripts.inc.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

$id = safe_query( "select perl from kunden where kunde = ? ", TRUE, new SQLString( $PHP_AUTH_USER ) );
$werte = db_fetch_array($id);
$perl = $werte["perl"];

if ($perl == 0) exit;

if ((substr($file, 0, 1) != "/") && (!istleer($file))) $file = "/".$file;
$cfile = "html".$file;

$exec = $bindir."/perldebug.pl ".escapeshellarg($PHP_AUTH_USER)." ".escapeshellarg($cfile);
exec($exec, $ergebnis, $return);

for ($i = 0; $i < count($ergebnis); $i++)
	{
	 $ergebnistext .= mlf_text($ergebnis[$i])."\n";
	}
?>
<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
<tr>
  <TR> 
    <TD class="titel-3" ><? echo ltext("tocg_title2"); ?></TD>
  </TR>
  <TR> 
    
    <TD><pre><? echo htmlspecialchars($ergebnistext, ENT_NOQUOTES); ?></pre></TD>
  </TR>
</TABLE>
</BODY>
</HTML>
<?
db_close(); 
?>
